Bug 20364 - Add French basic latin-9 keyboard to keyboarddrake (was:Plasma's keyboard layout config tool does not comply with xorg.conf.d/*)
Summary: Add French basic latin-9 keyboard to keyboarddrake (was:Plasma's keyboard lay...
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 7
Assignee: Marja Van Waes
QA Contact:
URL:
Whiteboard:
Keywords: NEEDINFO
Depends on:
Blocks:
 
Reported: 2017-02-27 19:04 CET by Sébastien Picavet
Modified: 2017-12-10 21:01 CET (History)
7 users (show)

See Also:
Source RPM: drakx-kbd-mouse-x11
CVE:
Status comment:


Attachments
Daily auto update routine (6.89 KB, text/plain)
2017-02-27 19:05 CET, Sébastien Picavet
Details
"Working" Xorg log (26.58 KB, text/plain)
2017-02-27 19:06 CET, Sébastien Picavet
Details
"Working" Xorg log (30.13 KB, text/plain)
2017-02-27 19:06 CET, Sébastien Picavet
Details
Lastest Xorg log (not "working") (26.58 KB, text/plain)
2017-02-27 19:07 CET, Sébastien Picavet
Details
Diff of Xorg log⦠show nothing strange (7.00 KB, patch)
2017-02-27 19:08 CET, Sébastien Picavet
Details | Diff

Description Sébastien Picavet 2017-02-27 19:04:50 CET
Hi,


Since KDE layout configuration is broken somewhere upstream (same issue with my Gentoo), I use Xorg option to have the right layout.

[root@XXXXXXXX ~]# cat /etc/X11/xorg.conf.d/00-keyboard.conf 
# Read and parsed by systemd-localed. It's probably wise not to edit this file
# manually too freely.
Section "InputClass"
        Identifier "system-keyboard"
        MatchIsKeyboard "on"
        Option "XkbModel" "pc105"
        Option "XkbOptions" "compose:rwin,compose:lwin"
        Option "XkbLayout" "fr"
EndSection

-rw-r--r--  1 root root  322 janv. 17 18:43 00-keyboard.conf


It works well until 17 February. Since, my only layout is the broken KDE layout. As you can see, I did not touch the files nor another /etc settings by myself this day.

I do not understand why⦠I take a look at the last two Xorg.0.log (« Xorg.0.log.old » which is working and « Xorg.0.log » which has the issue). The main differences start at the lines 370 and look like me at work/meeting plug/unplug keyboard/mouse/screen (nothing fascinating).
I can still see my keyboard options on logs.

So I take a look at urpm. Except « desktop-common-data » (which hold some X11 files) and kernel, it should not interfere with layout stuff.


Strange bug. I do not know the package to blame (desktop-common-data ?).


Cheers!
Comment 1 Sébastien Picavet 2017-02-27 19:05:48 CET
Created attachment 8999 [details]
Daily auto update routine
Comment 2 Sébastien Picavet 2017-02-27 19:06:23 CET
Created attachment 9000 [details]
"Working" Xorg log
Comment 3 Sébastien Picavet 2017-02-27 19:06:55 CET
Created attachment 9001 [details]
"Working" Xorg log

Attachment 9000 is obsolete: 0 => 1

Comment 4 Sébastien Picavet 2017-02-27 19:07:30 CET
Created attachment 9002 [details]
Lastest Xorg log (not "working")
Comment 5 Sébastien Picavet 2017-02-27 19:08:04 CET
Created attachment 9003 [details]
Diff of Xorg log⦠show nothing strange
Comment 6 Marja Van Waes 2017-02-28 11:52:47 CET
(In reply to Sébastien Picavet from comment #0)

> Since KDE layout configuration is broken somewhere upstream (same issue with my
> Gentoo), I use Xorg option to have the right layout.

is there a Gentoo and/or Upstream bug report for that issue that you know of?



About the current problems:

I don't understand in which way your keyboard layout is broken now. Do you get "qwerty" when typing "azerty"?

Do you only have the current problem in Plasma5, or in other DEs as well? 

Does the keyboard currently work fine in SDDM (the login screen that's default for plasma)?

Does the keyboard currently work well when you switch to a VT, with e.g. "Ctrl Alt F3" and start typing there?

Does adjusting the layout with keyboarddrake work?

Keywords: (none) => NEEDINFO
CC: (none) => marja11
Assignee: bugsquad => kde
Summary: Keyboard layout does not comply with xorg.conf.d/* => Plasma's keyboard layout config tool does not comply with xorg.conf.d/*

Comment 7 Sébastien Picavet 2017-03-02 14:04:45 CET
(In reply to Marja van Waes from comment #6)
> (In reply to Sébastien Picavet from comment #0)
> 
> > Since KDE layout configuration is broken somewhere upstream (same issue with my
> > Gentoo), I use Xorg option to have the right layout.
> 
> is there a Gentoo and/or Upstream bug report for that issue that you know of?

Not on Gentoo. On KDE Plasma 5.8.* (cauldron and Gentoo = 5.8.5), I found some bug reports. They are a bit different, but lead to the same issue: https://bugs.kde.org/show_bug.cgi?id=370734 https://bugs.kde.org/show_bug.cgi?id=373164
I used this workaround for 6 months on Gentoo.

> I don't understand in which way your keyboard layout is broken now. Do you
> get "qwerty" when typing "azerty"?

I should have been more precise. The âmainâ layout (french in my case) is fine. But not the variant.
Changing layout (or variant) leads to nothing (still french classic layout, not the variant that I want).

> Do you only have the current problem in Plasma5, or in other DEs as well? 

I do not know.

> Does the keyboard currently work fine in SDDM (the login screen that's
> default for plasma)?

Not the variant.

> Does adjusting the layout with keyboarddrake work?

Yes and no because I did not find variant option with keyboarddrake.
But keyboarddrake have modified my /etc/X11/xorg.conf.d/00-keyboard.conf.

Which leads me to a hint: Option XkbVariant was not on my conf file. 
I will add it to restore my workaround. Let's see if it works tomorrow.

This files is owned by:
# urpmf /etc/X11/xorg.conf.d/00-keyboard.conf
systemd:/etc/X11/xorg.conf.d/00-keyboard.conf

Lastest update of systemd was at 10th February:
# journalctl --system | grep -i system | grep -i rpm
févr. 10 09:25:27 XXXXXX [RPM][2563]: install systemd-230-9.mga6.x86_64: success

Few dates before the 16th. I still do not know why it worked between 13th and 16th (not working on 11/12th).
Comment 8 Sébastien Picavet 2017-03-03 10:30:14 CET
It works today.

Status: NEW => RESOLVED
Resolution: (none) => INVALID

Comment 9 Marja Van Waes 2017-03-03 19:57:18 CET
(In reply to Sébastien Picavet from comment #8)
> It works today.

I'm glad it does :-)

(In reply to Sébastien Picavet from comment #7)

> 
> > Does adjusting the layout with keyboarddrake work?
> 
> Yes and no because I did not find variant option with keyboarddrake.
> But keyboarddrake have modified my /etc/X11/xorg.conf.d/00-keyboard.conf.
> 

Which variant do you use?

It would be good to add it to keyboarddrake
Comment 10 Marja Van Waes 2017-03-03 20:03:25 CET
We do currently only have four French French layouts in keyboarddrake:

Dvorak (French)
French
French (Bepo)
French (Bepo, only latin-9)

But it has more French layouts for Belgium, Switzerland, Canada
Comment 11 Sébastien Picavet 2017-03-06 09:19:46 CET
I use the variant latin9.

It is easier than bépo/dvorak layout (just add shortcut for many useful characters like â« »Åâ).
Comment 12 Marja Van Waes 2017-03-06 10:04:27 CET
(In reply to Sébastien Picavet from comment #11)
> I use the variant latin9.
> 


So the one that's shown in /usr/share/X11/xkb/symbols/fr in the section:

// Historic Linux French keyboard layout (fr-latin9)

correct?

I'm wondering why it was never added before, given the large amount of French users we have.

Status: RESOLVED => REOPENED
CC: (none) => mageiatools, thierry.vignaud
Resolution: INVALID => (none)
Assignee: kde => marja11
Summary: Plasma's keyboard layout config tool does not comply with xorg.conf.d/* => Add French basic latin-9 keyboard to keyboarddrake (was:Plasma's keyboard layout config tool does not comply with xorg.conf.d/*)
Source RPM: Unknown => drakx-kbd-mouse-x11

Comment 13 Sébastien Picavet 2017-03-06 10:20:37 CET
Yes it is.

I am too lazy but I should try bépo one dayâ¦
Comment 14 Thierry Vignaud 2017-03-06 17:52:50 CET
(In reply to Marja van Waes from comment #12)
> I'm wondering why it was never added before, given the large amount of
> French users we have.

Probably so that we didn't ask a (useless) question for the big load of french users.
"Useless" as in useless for most french users who would not have understand why we asked them this questions since 99.9% would have used "azerty".
It's obviously not useless for fr-latin9 users :-)
But how many are they...?
Comment 15 Sébastien Picavet 2017-03-06 18:23:56 CET
Hmm ! probably more than bépo users ;)

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=1612

Comment 16 Sébastien Picavet 2017-03-06 18:32:11 CET
Layout like âlatin9â or  âossâ are more suitable if you have an AZERTY keyboard (because most of the keyboard is identical). That's the main advantage of AZERTY latin9/oss over BÃPO.

With BÃPO, you need to buy an special keyboard or put sticker on your keyboard (excepts if you know the position of each key).
Comment 17 Marja Van Waes 2017-07-21 22:40:59 CEST
(In reply to Thierry Vignaud from comment #14)
> (In reply to Marja van Waes from comment #12)
> > I'm wondering why it was never added before, given the large amount of
> > French users we have.
> 
> Probably so that we didn't ask a (useless) question for the big load of
> french users.
> "Useless" as in useless for most french users who would not have understand
> why we asked them this questions since 99.9% would have used "azerty".

I've been in limbo since I read that: what is better:

changing the description for the "French" keyboard into "French (Standard)",
or adding e.g. "French (Only latin-9, very rare)" instead of "French (Only latin-9)", or....?

> It's obviously not useless for fr-latin9 users :-)
> But how many are they...?

It was easy to configure my uncommon Dutch keyboard in Mandrake, when I had only just started using Linux.... the very first distro I tried, Caldera, didn't support it.
Using Mandrake led to using Mandriva, led to using Mageia and, hey, led to me contributing to Mageia :-)

So, I'd like it to be easy for _everyone_ with an uncommon keyboard to configure it. At the same time I do certainly not want to confuse the 99,9% other users.

CC'ing some smart French contributors who are good in describing things, for their opinion on how this list of French keyboards:

  Dvorak (French)
  French
  French (Only latin-9)
  French (Bepo)
  French (Bepo, only latin-9)

can be made the least confusing (none of the 99,9% users with a plain "French" keyboard should select the wrong keyboard)

(In reply to Sébastien Picavet from comment #16)
> Layout like âlatin9â or  âossâ are more suitable if you have an AZERTY
> keyboard (because most of the keyboard is identical). That's the main
> advantage of AZERTY latin9/oss over BÃPO.

Thanks for making clear that the non-Bépo latin-9 keyboard is an AZERTY keyboard, just like the regular French keyboard.

> With BÃPO, you need to buy an special keyboard or put sticker on your
> keyboard (excepts if you know the position of each key).

CC: (none) => lebarhon, rverschelde, stormi, yves.brungard_mageia

Marja Van Waes 2017-07-21 22:41:20 CEST

Target Milestone: --- => Mageia 7

Comment 18 papoteur 2017-07-22 07:59:24 CEST
Hello,
I know nothing about the variant keyboards. 
For me, I think that the term "only" should be avoided.
It should be latin9, not latin-9.
Comment 19 André DESMOTTES 2017-07-22 11:55:11 CEST
Hello,

Like Papoteur I don't understand what means "Only", it looks like all the keys aren't there !
A clear list would be for me :

French (Dvorak)
French (Azerty standard)
French (Azerty latin9)
French (Bepo) 

For your information, the AFNOR (French association for standardization, who is the official ISO member for France) is going to publish in September a new standard for keyboards layout. We don't know yet if it will be derived from Bepo or Azerty, but it will be a new layout for Mageia 7 that should replace all the others ... in many years.
Comment 20 Marja Van Waes 2017-07-23 14:07:54 CEST
Thanks, Yves and André :-)

I understand the AFNOR will publish new standards for both the AZERTY and the BÉPO keyboard http://www.afnor.org/presse_juin2017/clavier-francais-afnor-ouvre-projet-de-norme-aux-commentaires/ , but that they talk about "un AZERTY amélioré et un BÉPO" and that « Les représentants de BÉPO ont saisi l’occasion pour faire à nouveau évoluer leur dispositif ». For some reason, they don't talk about an _improved_ BÉPO :-/

Anyway, we'll probably end up with something like:

French (Dvorak)
French (Azerty latin9)
French (Azerty standard)
French (Azerty standard, Improved)
French (Bepo)
French (Bepo, Evolved)
French (Bepo latin9)

Let's wait to see how the AFNOR refers to the old and the new Azerty standard and Bépo keyboards, after they've published the new standards, before renaming any of the current keyboards we already have.

I intend to add the French (Azerty latin9) keyboard in cauldron before September, though!
Comment 21 Marja Van Waes 2017-11-19 07:35:42 CET
I cannot find that the new standard, NF Z71-300, has been published.

My apologies for not having added the French (Azerty latin9) keyboard, yet, real life got in the way.
Comment 22 Marja Van Waes 2017-11-19 09:17:55 CET
(In reply to André DESMOTTES from comment #19)

> A clear list would be for me :
> 
> French (Dvorak)
> French (Azerty standard)
(etc)


All Dvorak keyboards have:

   Dvorak (<name of the language>)

It doesn't feel good to do it differently for the French Dvorak keyboard, unless all Dvorak keyboards get changed to 

   <name of the language> (Dvorak)

I would prefer to change that for all Dvorak keyboards, or is there a good reason _not_ to change that?

Btw, the dvorak_eo keyboard, at this moment here: http://gitweb.mageia.org/software/drakx-kbd-mouse-x11/tree/lib/keyboard.pm#n212
is probably broken because the last two items should be changed from

       "dvorak",	"eo",

into 

       "epo",           "dvorak",

/usr/share/X11/xkb/symbols/epo contains the Esperanto xkb maps and it does have an 'xkb_symbols "dvorak"' section
Comment 23 Mageia Robot 2017-11-19 09:33:40 CET
commit ca3898e5c32b6009efd327f12b1a844dad8bbb99
Author: Marja van Waes <marja@...>
Date:   Sun Nov 19 09:25:25 2017 +0100

    Add the French Azerty Latin9 keyboard (mga#20364)
    o and improve the names of some French keyboards
---
 Commit Link:
   http://gitweb.mageia.org/software/drakx-kbd-mouse-x11/commit/?id=ca3898e5c32b6009efd327f12b1a844dad8bbb99
Comment 24 Mageia Robot 2017-11-19 09:33:42 CET
commit fa8abfef7c9a6982ce53f2a4122c3f87724c338d
Author: Marja van Waes <marja@...>
Date:   Sun Nov 19 09:33:27 2017 +0100

    Try to fix the Esperanto Dvorak keyboard (mga#20364)
---
 Commit Link:
   http://gitweb.mageia.org/software/drakx-kbd-mouse-x11/commit/?id=fa8abfef7c9a6982ce53f2a4122c3f87724c338d
Comment 25 Marja Van Waes 2017-12-10 21:01:39 CET
(In reply to Marja van Waes from comment #22)
> (In reply to André DESMOTTES from comment #19)
> 
> > A clear list would be for me :
> > 
> > French (Dvorak)
> > French (Azerty standard)
> (etc)
> 
> 
> All Dvorak keyboards have:
> 
>    Dvorak (<name of the language>)
> 
> It doesn't feel good to do it differently for the French Dvorak keyboard,
> unless all Dvorak keyboards get changed to 
> 
>    <name of the language> (Dvorak)
> 
> I would prefer to change that for all Dvorak keyboards, or is there a good
> reason _not_ to change that?
> 

I think we want to keep the old names for the Live isos.

For example:

Someone used to searching for "Dvorak (Norwegian)" in the long list of keyboards when starting a Live medium, might think we no longer support Dvorak keyboards, instead of understanding he should now look for "Norwegian (Dvorak)".

However, I think for traditional installer it would be safe to change the name to "Norwegian (Dvorak)"

So we could have both
"dvorak_no" => [ N_("_: keyboard\nDvorak (Norwegian)"), "no-dvorak", "no", "dvorak", 0 ],
and 
"no_dvorak" => [ N_("_: keyboard\nNorwegian (Dvorak)"), "no-dvorak", "no", "dvorak", 0 ],

and in _tradional_ installer only use the last one for the screen with the smaller selection of keyboards that depends on the selected language(s)

I think both would show up in the Live installer and in keyboarddrake, but I doubt that could be a problem

Any objections?

Note You need to log in before you can comment on or make changes to this bug.